addFilter {openxlsx} | R Documentation

## Add column filters

### Description

Add excel column filters to a worksheet

### Usage

    addFilter(wb, sheet, rows, cols)

### Arguments

`wb` | A workbook object
`sheet` | A name or index of a worksheet
`rows` | A row number.
`cols` | columns to add filter to.

### Details

adds filters to worksheet columns, same as filter parameters in writeData. writeDataTable automatically adds filters to first row of a table. NOTE Can only have a single filter per worksheet unless using tables.

### See Also

`writeData`

`addFilter`

### Examples

    wb <- createWorkbook()
    addWorksheet(wb, "Sheet 1")
    addWorksheet(wb, "Sheet 2")
    addWorksheet(wb, "Sheet 3")

    writeData(wb, 1, iris)
    addFilter(wb, 1, row = 1, cols = 1:ncol(iris))

    ## Equivalently
    writeData(wb, 2, x = iris, withFilter = TRUE)

    ## Similarly
    writeDataTable(wb, 3, iris)

    saveWorkbook(wb, file = "addFilterExample.xlsx", overwrite = TRUE)

[Package openxlsx version 4.1.0 Index]